aboutsummaryrefslogtreecommitdiffhomepage
path: root/extra/insert_bookmark.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extra/insert_bookmark.sh')
-rw-r--r--extra/insert_bookmark.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/extra/insert_bookmark.sh b/extra/insert_bookmark.sh
new file mode 100644
index 0000000..3df6086
--- /dev/null
+++ b/extra/insert_bookmark.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# $1 should be the uri you want to bookmark
+file=bookmarks
+
+[ -z "$1" ] && exit 1
+which zenity &>/dev/null || exit 2
+
+entry=`zenity --entry --text="Add bookmark. add tags at the end, separated by commas" --entry-text="$1"`
+url=`awk '{print $1}' <<< $entry`
+# TODO: check if already exists, if so, and tags are different: ask if you want to replace tags
+echo "$entry" >> $file